diff --git a/src/rtext.c b/src/rtext.c
index eb3ad5514ee3..e7bea9a005ac 100644
--- a/src/rtext.c
+++ b/src/rtext.c
@@ -1254,7 +1254,7 @@ Vector2 MeasureTextEx(Font font, const char *text, float fontSize, float spacing
 
     if (tempTextWidth < textWidth) tempTextWidth = textWidth;
 
-    textSize.x = (tempTextWidth + (float)((tempByteCounter - 1)*spacing))*scaleFactor;
+    textSize.x = tempTextWidth*scaleFactor + (float)((tempByteCounter - 1)*spacing);
     textSize.y = textHeight*scaleFactor;
 
     return textSize;
